<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.2//EN"
    "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile12.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <?php

    // >>> Fetch seo data for this section
    if ( ! $this->is_tour ) {
        if ( isset($this->params['zone']) && !empty( $this->params['zone'] ) ) {
            $entity = 'm-cityzone';
        }
        elseif ( isset($this->params['city']) && !empty( $this->params['city'] ) ) {
            $entity = 'm-city';
        }
        elseif ( isset($this->params['region']) && !empty( $this->params['region'] ) ) {
            $entity = 'm-region';
        }
    }

    if ( isset($entity) ) {
        $tpl_data = array();
        $primary_id = 0;

        switch ( $entity ) {
            case 'm-city':
                $m = new Cubix_Geography_Cities();
                $city = $m->getBySlug($this->params['city']);

                if ( ! $city ) break;

                $primary_id = $city->id;
                $tpl_data['city'] = $city->title;
                $tpl_data['region'] = $city->getRegionTitle();
                break;
            case 'm-cityzone':
                $m = new Cubix_Geography_Cityzones();
                $cityzone = $m->getBySlug($this->params['zone']);

                if ( ! $cityzone ) break;

                $primary_id = $cityzone->id;

                $tpl_data['cityzone'] = $cityzone->title;
                $city = $cityzone->getCity();
                $tpl_data['city'] = $city->title;
                $tpl_data['region'] = $city->getRegionTitle();

                break;
        }

        $seo = $this->seo($entity, $primary_id, $tpl_data);


        if ( $seo ) {
            if ( strlen($seo->title) ) {
                $seo->title = $seo->title.' - Mobile';
                $this->headTitle($seo->title, 'SET');
            }

            if ( strlen($seo->keywords) ) {
                $this->headMeta()->setName('keywords', $seo->keywords);
            }

            if ( strlen($seo->description) ) {
                $this->headMeta()->setName('description', $seo->description);
            }

            $this->layout()->footer_text = $seo->footer_text;
        }
    }else{
        $seo = $this->seo('m-home-page-' . $this->static_page_key, null, array('app_title' => Cubix_Application::getById()->title));
        if ( $seo ) {
            if ( strlen($seo->title) ) {
                $this->headTitle($seo->title.' - Mobile', 'SET');
            }

            if ( strlen($seo->keywords) ) {
                $this->headMeta()->setName('keywords', $seo->keywords);
            }

            if ( strlen($seo->description) ) {
                $this->headMeta()->setName('description', $seo->description);
            }

            if ( strlen($seo->footer_text) ) {
                $this->layout()->footer_text = $seo->footer_text;
            }
        }
    }
    // <<<
    ?>

    <?= $this->headTitle() ?>
    <?= $this->headMeta() ?>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!--        <link rel="stylesheet" href="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.min.css" />-->
    <link rel="stylesheet" href="https://code.jquery.com/mobile/1.4.2/jquery.mobile-1.4.2.min.css" />

    <link rel="stylesheet" href="/css/mobile/grid.css" />

    <script type="text/javascript" src="/js/mobile/external/jquery-1.10.2.min.js"></script>

    <script type="text/javascript">
        $(document).bind("mobileinit", function(){
            $.mobile.pushStateEnabled = true;
        });
    </script>

    <!--        <script type="text/javascript" src="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.min.js"></script>-->
    <!--        <script type="text/javascript" src="/js/mobile/default/underscore.js"></script>-->
    <script type="text/javascript" src="/js/mobile/external/jquery.mobile-1.4.2.min.js"></script>
    <script type="text/javascript" src="/js/mobile/default/define.js"></script>
    <script type="text/javascript" src="/js/mobile/default/escorts.js"></script>
    <script type="text/javascript" src="/js/mobile/default/index.js"></script>

    <script type="text/javascript" src="/js/mobile/external/jquery.form.js"></script>
    <script src="/js/mobile/plugins/validate/jquery.validate.min.js"></script>
    <!--        <script type="text/javascript" src="/js/mobile/plugins/jquery.mobile.lazyloader.min.js"></script>-->

    <script>
        $(document).on("pageshow", function (event) {

            var items = '',
                ul = $(".mainMenu:empty");

            for (var i = 0; i < menu.length; i++) {
                items += '<li><a rel="external" href="' + menu[i].url + '">' + menu[i].title + '</a></li>';
            }

            ul.append(items);
            ul.listview('refresh');

//                $("img.lazyload").lazyload({
//                    effect : "fadeIn"
//                });

        });

        $( "#panel-menu" ).trigger( "updatelayout" );


        var menu = [
            { title: '<?= __('new') ?> <?= __('escorts') ?>', url: '<?= $this->getLink('escorts') . "?sort=newest" ?>' },
            { title: '<?= __('tours') ?>', url: '<?= $this->getLink('escorts', array('tours'), true) ?>' },
            { title: '<?= __('videos') ?>', url: '<?= $this->getLink('videos-list') ?>' },
            { title: '<?= __('filter') ?>', url: '<?= $this->getLink('search') ?>' },
            { title: '<?= __('switch_to_classic') ?>', url: 'http://www.beneluxxx.com/?full_version=1' },
            /*{ title: '<//= __('latest_comments') ?>', url: '<//= $this->getLink('reviews') ?>' },*/
            /*{ title: '<//= __('gps_location') ?>', url: '<//= $this->getLink('gps-location') ?>' },
            <// if (!$user = Model_Users::getCurrent()): ?>
             { title: '<//= __('login') ?>', url: '<//= $this->getLink('private'); ?>' },
            <// else: ?>
             { title: '<//= __('private_area') ?>', url: '<//= $this->getLink('private'); ?>' },
            <// endif; ?>
             { title: '<//= __('switch_to_classic') ?>', url: 'http://www.escortforumit.xxx/?full_version=1' },
             { title: 'escortforumit.xxx', url: 'http://www.escortforumit.xxx' }*/
        ];

    </script>

    <?= $this->headScript(); ?>
    <?= $this->headLink(); ?>
</head>
<body>
<!-- == Layout INDEX == -->
<div class="overlay"></div>

<div id="wrap" data-role="page" >


    <!-- This is the navigation panel that opens to show the menu -->
    <div data-role="panel" id="panel-menu" data-position="left" data-display="overlay">
        <div class="ui-panel-inner">
            <!-- This UL is the menu, where the items will be added -->
            <!-- Make sure you don't add any <li> or any other content inside it! -->
            <ul data-role="listview" class="mainMenu"></ul>
        </div>
        <a class="close-left-panel" data-rel="close" href="#panel-menu"></a>
    </div>
    <!-- /panel -->

    <div id="header" class="h65" data-role="header" >
        <ul class="list-area">
            <li class="to-right" style="width: 54px;">
                <a href="#panel-menu" data-inline="true">
                    <img src="/img/mobile/menu-bar.png" />
                </a>
            </li>
            <li class="center-left" style="width: auto;">
                <a rel="external" href="<?= $this->getLink('') ?>">
                    <img src="/img/mobile/logo.png" />
                </a>
            </li>
           <!--  <li class="center-left" style="width: 100px;">
                <a rel="external" href="<?= $this->getLink('login') ?>">
                    <img src="/img/mobile/icons/login.png" />
                </a>
            </li> -->
            <!--<li class="to-left" style="width: 77px;" >
                <?
                $url = $this->getLink('trim',array('request_url' => $_SERVER['REQUEST_URI']),true);


                $url = explode('/', trim($url, '/'));
                if ( Cubix_I18n::getLang() != Cubix_Application::getDefaultLang() )
                    $url[0] = '%s';
                else
                    array_unshift($url, '%s'); $lang_url = '/' . implode('/', $url);
                unset($url[0]);
                $url = '/' . implode('/', $url);

                $langs = Cubix_Application::getLangs();
                $langs = array_reverse($langs);
                ?>

                <?php $langs = array_reverse( $langs ); ?>
                <?php foreach ( $langs as $lang): ?>
                    <a rel="external" href="<?= ($lang->id == Cubix_Application::getDefaultLang()) ? $url : sprintf($lang_url, $lang->id) . '/' ?>" class="flag-<?= $lang->id ?>"></a>
                <? endforeach; ?>
            </li>-->
        </ul>
        <!--				<div class="i h50">-->
        <!---->
        <!--                    -->
        <!---->
        <!--                    <ul class="flags alr logo-layout">-->
        <!--                        <li class="logo">-->
        <!--                            <a href="--><?//= $this->getLink('') ?><!--">-->
        <!--                                <img src="/img/mobile/logo.png" />-->
        <!--                            </a>-->
        <!--                        </li>-->
        <!--                        <li class="lang">-->
        <!--                            --><?php //$langs = array_reverse( $langs ); ?>
        <!--                            --><?php //foreach ( $langs as $lang): ?>
        <!--                                <a href="--><? //= ($lang->id == Cubix_Application::getDefaultLang()) ? $url : sprintf($lang_url, $lang->id) ?><!--" class="flag---><?//= $lang->id ?><!--"></a>-->
        <!--                            --><? // endforeach; ?>
        <!--                        </li>-->
        <!--                    </ul>-->
        <!--	--><?// /*					<span><i>Bio</i></span><a href="/mobile/escort/services"><i>Services</i></a><a href="/mobile/escort/rates"><i>Rates</i></a><a href="/mobile/escort/contacts"><i>Contact</i></a><a href="/mobile/escort/tour"><i>Tours</i></a><div class="clear"></div>-->
        //	<!--				</div>*/ ?>
        <!--				</div>-->
    </div>

    <div id="page" data-role="content" class="index-page-padding simple-list">
        <div id="page_wrapper" class="page_wrapper">
            <?= $this->layout()->content; ?>
        </div>

        <div class="toClear"></div>

    <? if(!$this->is_video_page): ?>
        <div rel="search" class="data-search">
            <input type="text" data-mini="true" name="m-search" id="m-search" class="m-search" placeholder="<?=__('search');?>" />

            <div class="sugg-area">
                <span class="close-search">X</span>
                <ul id="m-suggestions" data-role="listview" data-inset="true"></ul>
            </div>

            <input type="hidden" id="ts_type" name="ts_type" value="<? if ($this->ts_type): ?><?= $this->ts_type ?><? endif; ?>" />
            <input type="hidden" id="ts_slug" name="ts_slug" value="<? if ($this->ts_slug): ?><?= $this->ts_slug ?><? endif; ?>" />

            <div class="right-icon"></div>
        </div>
    <? endif; ?>

        <div class="toClear"></div>
    </div>

    <div id="footer_conteiner" data-role="footer" >
        <? /*menuSearch*/ ?>
        <div id="footer" style="text-align: center;">
            <?= $this->render('mobile-footer.phtml'); ?>
		</div>
    </div>

</div>


<?= $this->render('google-analytics.phtml') ?>
</body>

<script type="text/javascript">
    $(document).ready(function(){
        MCubix.Functions.List.getCities();
    });
</script>

</html>
